/*
 * AbstractRGtoREConverter.h
 *
 *  Created on: 4. 3. 2014
 *      Author: tomas
 */

#ifndef ABSTRACTRGTORECONVERTER_H_
#define ABSTRACTRGTORECONVERTER_H_

#include <grammar/Regular/RegularGrammar.h>
#include <regexp/RegExp.h>

#include "../abstract/Conversion.h"

namespace conversions
{

class AbstractRGtoREConverter : public Conversion
{
public:
    virtual regexp::RegExp convert( void ) = 0;
    virtual ~AbstractRGtoREConverter( void );

protected:
    AbstractRGtoREConverter( const grammar::RegularGrammar& grammar );

    const grammar::RegularGrammar& m_grammar;
    regexp::RegExp m_re;
};

} /* namespace conversions */

#endif /* ABSTRACTRGTORECONVERTER_H_ */
