/*
 * RRGAlgebraic.h
 *
 *  Created on: 4. 3. 2014
 *      Author: tomas
 */

#ifndef RRGALGEBRAIC_H_
#define RRGALGEBRAIC_H_

#include <grammar/Regular/RightRegularGrammar.h>
#include <regexp/RegExp.h>

#include "../shared/equations/RightRegularEquationSolver.h"
#include "AbstractRGtoREConverter.h"

namespace conversions
{

class RRGAlgebraic: public AbstractRGtoREConverter
{
public:
    RRGAlgebraic( const grammar::RightRegularGrammar & rg );
    ~RRGAlgebraic( void );
    regexp::RegExp convert( void );

protected:
    RightRegularEquationSolver m_solver;
};

} /* namespace conversions */

#endif /* RRGALGEBRAIC_H_ */
