/*
 * DotConverter.h
 *
 *  Created on: Apr 1, 2013
 *      Author: Martin Zak
 */

#ifndef DOTCONVERTER_H_
#define DOTCONVERTER_H_

#include<ostream>

#include <automaton/FSM/FSM.h>
#include <automaton/PDA/PDA.h>
#include <automaton/TM/TM.h>
#include <map>
#include <utility>

using namespace std;
using namespace automaton;

class DotConverter {
protected:
	static void transitions(const FSM& fsm, const map<State, int>& states, ostream& out);
	static void transitions(const PDA& pda, const map<State, int>& states, ostream& out);
	static void transitions(const TM& tm, const map<State, int>& states, ostream& out);
public:
	static void convert(const Automaton& a, ostream& out);
};

#endif /* DOTCONVERTER_H_ */
