#ifndef VPADETERMINIZER_H_
#define VPADETERMINIZER_H_

#include <string>
#include <set>
#include <map>
#include <vector>

#include "automaton/PDA/PDA.h"
#include "automaton/Transition.h"
#include "alphabet/Symbol.h"
#include "DeterminizationUtils.h"
#include "VPADeterminizationUtils.h"
#include "VPADeterminizationStructs.h"

using namespace std;
using namespace automaton;
using namespace alphabet;

namespace determinization {

class VPADeterminizer {
public:
    static PDA determinize(PDA& automaton);
};

} /* namespace determinization */
#endif /* VPADETERMINIZER_H_ */